Skip to main content

Get a grid by ID

Use this example to retrieve grid card details by ID with a raw Administration API request.

Authenticate first

This example assumes you already completed Authenticate an Admin API application and are sending the returned auth token in the Authorization header.

Submit a GET request to display a Grid Card's details. You must include the Grid Card's ID string in the request. The ID is required to identify which Grid Card's details to display. The format of the request URL is:

https://customer.region.trustedauth.com/api/web/v2/grids/{gridid}

For example:

https://example.us.trustedauth.com/api/web/v2/grids/6c5ad3b4-888c-4d3b-88f2-8ab71ae4f917

An Authorization header field must be included in the header section of this request. The Authorization header stores the value received as "token" in the authentication request. The Authorization header can be sent with or without a type value of "Bearer". For example:

Authorization: Bearer <token>

or

Authorization: <token>

In this example, all the required input parameters have been provided. The request would succeed and generate a response that includes Grid Card details. For example:

{
"id": "6c5ad3b4-888c-4d3b-88f2-8ab71ae4f917",
"serialNumber": 2,
"createDate": "2018-05-29T19:48:24.000+0000",
"assignDate": null,
"expiryDate": null,
"expired": false,
"lastUsedDate": null,
"state": "ACTIVE",
"gridContents": [
["TP", "0M", "P8", "KW", "3D", "KR", "M1", "W0", "TJ", "F4"],
["9M", "MV", "88", "DX", "H3", "DV", "44", "PW", "V1", "CX"],
["F2", "FE", "0Q", "XN", "CD", "36", "MQ", "PN", "WF", "DD"],
["WN", "9F", "J4", "TF", "7J", "W4", "7M", "9Q", "1H", "W5"],
["QM", "21", "VQ", "39", "1N", "EV", "PT", "P4", "28", "WY"]
],
"allowedActions": ["DELETE", "DISABLE"],
"userId": "2c422a2f-e8ae-4af8-8b03-e1ce0ddde0b0",
"userName": "john"
}